### Name: matrix.mean
### Title: Compute row-wise mean and variance using matrix operations
### Aliases: matrix.mean matrix.var
### Keywords: univar array algebra

### ** Examples

nr <- 10000
nc <- 40
fake.data <- matrix(rnorm(nr*nc), nrow=nr)
fake.class <- rep(c('H', 'C'), each=20)

H.n <- sum(fake.class=='H')
C.n <- sum(fake.class=='C')

H.mean <- matrix.mean(fake.data[, fake.class=='H'])
H.var <- matrix.var(fake.data[, fake.class=='H'], H.mean)

C.mean <- matrix.mean(fake.data[, fake.class=='C'])
C.var <- matrix.var(fake.data[, fake.class=='C'], C.mean)

pooled.sd <- sqrt( (H.var*(H.n - 1) + C.var*(C.n - 1))/(H.n + C.n - 2) ) 

t.statistics <- (C.mean - H.mean)/pooled.sd/sqrt(1/H.n + 1/C.n)



